# EZ_Fogfv

##

##

##

##

##

    NAME
           EZ_Fogfv - set fog parameters

    SYNOPSIS
           #include <EZ.h>

           void EZ_Fogfv(int attr, float *pvalues)

    ARGUMENTS
           attr  Specifies which attribute is being updated.  Must be
           one   of   EZ_FOG_MODE,   EZ_FOG_DENSITY,    EZ_FOG_COLOR,
           EZ_FOG_INDEX, EZ_FOG_START, EZ_FOG_END.

           pvalues  Specifies the values for the specified attr in an
           array of floats.

    DESCRIPTION
           EZ_Fogfv sets fog parameters. Fog is  enabled/disabled  by
           EZ_Enable/EZ_Disable with argument EZ_FOG.

           If  attr  is  EZ_FOG_MODE, pvalues should be an array of a
           single floating point number, which must be either EZ_LIN-
           EAR  or EZ_EXP or EZ_EXP2. It selects one of the three fog
           models.

           If attr is EZ_FOG_COLOR, pvalues should be an array  of  4
           floats in [0.0, 1.0].

           If attr is EZ_FOG_DENSITY, pvalues should be an array of a
           single floating point number, which specifies the fog den-
           sity.

           If  attr is EZ_FOG_START,  pvalues should be an array of a
           single floating point number in range [0.0, 1.0].  It sets
           the  starting position for fog calculations, with 0.0 rep-
           resents the far clipping plane and 1.0 represents the near
           clipping plane.

           If  attr  is  EZ_FOG_END,  pvalues should be an array of a
           single floating point number in range [0.0, 1.0]. It  sets
           the  ending position for fog calculations, with 0.0 repre-
           sents the far clipping plane and 1.0 represents  the  near
           clipping plane.

    SEE ALSO
           EZ_Color3f(3),       EZ_Normal3f(3),       EZ_Vertex3f(3),
           EZ_Lightf(3), EZ_Materialf(3)